
OBJ = junk/
JUNK = junk/
SRC = src/
H = header/

PATH_EXTERNAL_LIB = external_lib/
PATH_LIB_1=lib_1/
PATH_LIB_2=lib_2/
PATH_LIB_3=lib_3/

PATH_TINYXML = $${PATH_EXTERNAL_LIB}tinyXml/

1 = main
2 = Animation
3 = Skeleton
4 = Joint
5 = Animation_transformation
6 = Matrix
7 = V_3D
8 = File_parser
9 = int_vector
10 = Mesh
11 = Skinned
12 = Curve_3D
13 = double_vector
14 = subdivision
15 = oi


INCLUDEPATH = $${PATH_LIB_1}$${H} $${PATH_LIB_2}$${H} $${PATH_LIB_3}$${H} $${PATH_EXTERNAL_LIB}

HEADERS +=  $${2}.h \
	    $${PATH_LIB_2}$${H}$${3}.h \
	    $${PATH_LIB_2}$${H}$${4}.h \
	    $${PATH_LIB_2}$${H}$${5}.h \
	    $${PATH_LIB_2}$${H}$${6}.h \
	    $${PATH_LIB_2}$${H}$${7}.h \
	    $${PATH_LIB_2}$${H}$${8}.h \
	    $${PATH_LIB_2}$${H}$${9}.h \
	    $${PATH_LIB_2}$${H}$${10}.h \
	    $${PATH_LIB_2}$${H}$${11}.h \
	    $${PATH_LIB_2}$${H}$${12}.h \
	    $${PATH_LIB_2}$${H}$${13}.h \
	    $${PATH_LIB_1}$${H}$${14}.h \
	    $${PATH_LIB_3}$${H}$${15}.h \
	    $${PATH_TINYXML}tinyxml.h \
	    $${PATH_TINYXML}tinystr.h \




SOURCES += $${1}.cpp \
	    $${2}.cpp \
	    $${PATH_LIB_2}$${SRC}$${3}.cpp \
	    $${PATH_LIB_2}$${SRC}$${4}.cpp \
	    $${PATH_LIB_2}$${SRC}$${5}.cpp \
	    $${PATH_LIB_2}$${SRC}$${6}.cpp \
	    $${PATH_LIB_2}$${SRC}$${7}.cpp \
	    $${PATH_LIB_2}$${SRC}$${8}.cpp \
	    $${PATH_LIB_2}$${SRC}$${9}.cpp \
	    $${PATH_LIB_2}$${SRC}$${10}.cpp \
	    $${PATH_LIB_2}$${SRC}$${11}.cpp \
	    $${PATH_LIB_2}$${SRC}$${12}.cpp \
	    $${PATH_LIB_2}$${SRC}$${13}.cpp \
	    $${PATH_LIB_1}$${SRC}$${14}.cpp \
	    $${PATH_LIB_3}$${SRC}$${15}.cpp \
	    $${PATH_TINYXML}tinyxml.cpp \
	    $${PATH_TINYXML}tinystr.cpp \
	    $${PATH_TINYXML}tinyxmlerror.cpp \
	    $${PATH_TINYXML}tinyxmlparser.cpp \




TARGET = ./skinning_banane


CONFIG += release warn_on qt opengl console


unix {
    CONFIG *= x11 opengl 
    LIBS *= -L.. -lCoin -lSoQt 
    OBJECTS_DIR = junk/ 
    DEFINES = QT_CLEAN_NAMESPACE 
}
