//
// C++ Interface: Capsule
//
// Description: 
//
//
// Author: Francois Faure <Francois.Faure@imag.fr>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef Capsule_h
#define Capsule_h
#include <Inventor/SbLinear.h>

class Capsule {
public:
    Capsule( const SbVec3f& a, const SbVec3f& b );

    ~Capsule();
    
    /// Distance to point p
    float distance( const SbVec3f& p ) const;
    
    protected:
        SbVec3f a;
        SbVec3f b;
        SbVec3f unitVector;
        float length;

};

#endif
